/* RepliView.cpp */

#ifndef REPLI_VIEW_H
#include "RepliView.h"
#endif

RepliView :: RepliView(BRect frame)
		  :	BView(frame, "RepliTextView", B_FOLLOW_NONE, B_WILL_DRAW){
	
			BRect frameDragger = frame;
			
			frameDragger.left = frameDragger.right - 7;
			frameDragger.top = frameDragger.bottom - 7;

			fReplicated = false;
				
			BDragger *dragger = new BDragger(frameDragger,this,B_FOLLOW_ALL);
			
			frame.bottom -= 8;
			frame.right -= B_V_SCROLL_BAR_WIDTH;
			
			BRect frameText = frame;
			frameText.InsetBy(5,5);
			
			fTextView = new BTextView(frame,"TextView",frameText,B_FOLLOW_ALL,B_WILL_DRAW);
			fTextView->MakeFocus();
			
			fScrollView = new BScrollView("ScrollView",fTextView, B_FOLLOW_ALL, 0, false, true, B_NO_BORDER);			
			
			AddChild(fScrollView);
		  	//AddChild(fTextView);
		  	AddChild(dragger);

}

RepliView :: RepliView(BMessage *archive) 
		  : BView (archive){

	fReplicated = true;

	
}

RepliView :: ~RepliView(){}

void RepliView :: MessageReceived(BMessage *msg){

	switch(msg->what){
	
		case B_ABOUT_REQUESTED:{
			RepliAboutRequested();
		}
		break;
		
		default:
			BView::MessageReceived(msg);
		break;
	}
}

BArchivable* RepliView :: Instantiate (BMessage *data){

	return new RepliView(data);

}

status_t RepliView :: Archive (BMessage *archive, bool deep) const{
	
	BView ::Archive(archive,deep);
	
	archive->AddString("add_on","application/x-vnd.IC-RepliText");
	archive->AddString("class","RepliText");
	
	archive->PrintToStream();
	
	return B_OK;

}

void RepliView :: RepliAboutRequested(){

	BAlert *alert = new BAlert("RepliText","RepliText from IC","OK");
	alert->Go();

}